links ([[:Image:foo]], ...) broken in image descriptions transcluded from the Commons
Closed, ResolvedPublic

Description

Author: dbenbenn

Description:
See, for example, [[Image:Correggio Jupiter and Io dsc01821.jpg]].
The markup inside the red box is broken. All the other links on the
page appear to be right. I think the problem is simply links of the
form [[:Image: ...


Version: 1.5.x
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz2726.
bzimport created this task.Via LegacyJul 6 2005, 6:02 PM
bzimport added a comment.Via ConduitJul 16 2005, 7:23 AM

patrick.wikipedia wrote:

The transclusion to another project of an internal
link from an image page on Commons to another image
page or to a special page gives a wrong link, see also
[[m:Image:Tst.png]].

bzimport added a comment.Via ConduitDec 14 2005, 9:04 PM

aurimas wrote:

*** Bug 2711 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitDec 22 2005, 10:57 AM

zigger wrote:

*** Bug 4340 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitDec 22 2005, 11:04 AM

zigger wrote:

See bug 3397 for the same symptoms using a "[[Special:Upload]]" link inside a
template on the commons description page.

bzimport added a comment.Via ConduitDec 23 2005, 6:39 AM

wiki.bugzilla wrote:

please note especially comment 1 at bug 3495

bzimport added a comment.Via ConduitDec 23 2005, 8:55 AM

gangleri wrote:

Should "crosswiki" be added to "Keywords" here?
*crosswiki*

"This bug requires two or more MediaWiki installations to communicate and/or

share data."

I think that the transclusion assumes that all interwiki prefixes from
[[commons:]] work at all of the wiki's sharing the files. If the transclusion of
the image description from the shared file repository is a basic MediaWiki
feature not related to WikiMedia foundations installations then the interwiki
tables at these installations need to pay attention that the interewiki tables
from all wiki's sharing the files are subsets of the interwiki table of the
common file repository.

*a minor issue*
At [[wiktionary:en:Image:Västerås-domkyrka2,_modified.jpg]] the link
"sv:User:Chrizz" points correctly to [[wikipedia:sv:User:Chrizz]]. However this
is an anomaly because links at wiktionaries starting with the interwiki prefix
"sv:" link to "[[wiktionary:sv:foo]]".

best regards reinhart [[user:gangleri]]

bzimport added a comment.Via ConduitDec 23 2005, 9:26 AM

gangleri wrote:

example to comment6

The description from [[commons:Image:Lauterbrunnen-valley.jpg]] is included at
[[wikipedia:en:Image:Lauterbrunnen-valley.jpg]]. This is refered at
bug 3397: special link in commons template is badly expanded when viewed from
other wiki

At the moment the links are broken. If this bugs will be fixed please assure that

http://commons.wikimedia.org/wiki/Special:Upload" title="Special:Upload">upload
[[Special:Upload|upload]]
is exchanged with
http://commons.wikimedia.org/wiki/Special:Upload"
title="commons:Special:Upload">upload
[[commons:Special:Upload|upload]]

See [[wiktionary:yi:project:bugzilla/02726#language_lings_trough_commons]].
Maybe it would be the easiest way just to add the interwiki prefix "commons:" to
all wikified links from the transcluded image description. This will fix also
the "minor issue" from comment 6.

bzimport added a comment.Via ConduitDec 23 2005, 5:54 PM

dbenbenn wrote:

(In reply to comment #6)

At [[wiktionary:en:Image:Västerås-domkyrka2,_modified.jpg]] the link
"sv:User:Chrizz" points correctly to [[wikipedia:sv:User:Chrizz]]. However this
is an anomaly because links at wiktionaries starting with the interwiki prefix
"sv:" link to "[[wiktionary:sv:foo]]".

No, the link is correct. When an image description page is transcluded from the
Commons, it is supposed to be rendered the same way it would be at the Commons.
This is necessary for attribution, for example, or so that license templates
are displayed the same way. Having the page code be rendered "locally" would
defeat the purpose.

brion added a comment.Via ConduitDec 28 2005, 10:39 PM
  • Bug 4386 has been marked as a duplicate of this bug. ***
brion added a comment.Via ConduitDec 28 2005, 11:18 PM

Fixed along with bug 3397 in CVS HEAD.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:45 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.